;--------------- DLL entry function --------------------
proc DllEntryPoint, .hinstDLL, .fdwReason, .lpvReserved
begin

        mov     eax,[.fdwReason]

        cmp     eax,DLL_PROCESS_ATTACH                          ; event sent right after the DLL is loaded
        je      .dll_attach

        ;cmp     eax,DLL_PROCESS_DETACH                          ; event sent right before the DLL is unloaded
        ;je      .dll_detach

        jmp     .exit


.dll_attach:                                                    ; library was loaded

        stdcall [DisableThreadLibraryCalls], [.hinstDLL]        ; not interested in those

        mov     eax,1                                           ; return 1, that means our library initialization was successful

.exit:

        return

endp